IPCMK(1)

NAZWA
ipcmk - tworzy różne zasoby IPC

SKŁADNIA

ipcmk [opcje]

OPIS

ipcmk pozwala na tworzenie obiektów komunikacji międzyprocesowej (inter-process communication - IPC) POSIX i Systemu V: segmentów pamięci dzielonej, kolejek komunikatów i semaforów (tablic semaforów dla Systemu V).

OPCJE

Zasoby mogą być określane z następującymi opcjami:

-M, --shmem rozmiar
    Tworzy segment pamięci dzielonej o rozmiarze bajtów. Po argumencie rozmiar mogą występować przyrostki oznaczające wielokrotność: KiB (=1024), MiB (=1024*1024), GiB itd. (cząstka "iB" jest opcjonalna, tzn. np. "K" znaczy to samo co "KiB") lub przyrostki KB (=1000), MB (=1000*1000), GB itd.

-m, --posix-shmem rozmiar
    Tworzy segment pamięci dzielonej POSIX o rozmiarze bajtów. Po argumencie rozmiar mogą występować przyrostki oznaczające wielokrotność: KiB (=1024), MiB (=1024*1024), GiB itd. (cząstka "iB" jest opcjonalna, tzn. np. "K" znaczy to samo co "KiB") lub przyrostki KB (=1000), MB (=1000*1000), GB itd.

-Q, --queue
    Tworzy kolejkę komunikatów.

-q, --posix-mqueue
    Tworzy kolejkę komunikatów POSIX.

-S, --semaphore liczba
    Tworzy tablicę semaforów zawierająca liczbę elementów.

-s, --posix-semaphore
    Tworzy semafor nazwany POSIX.

-n, --name nazwa
    Nazwa obiektu IPC POSIX. Opcja ta jest obowiązkowa dla obiektów IPC POSIX.

Inne opcje:

-p, --mode tryb
    Uprawnienia dostępu do zasobu. Domyślnie 0644.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

AUTORZY

ZOBACZ TAKŻE

ipcrm(1), ipcs(1), lsipc(1), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie ipcmk jest częścią pakietu util-linux, który można pobrać ze strony